
#include "monstruo.h"
#include "constantes.h"
using namespace STDP;


void preparar_partida(muro muro[],vitamina vitamina[], monstruo monstruo[],int &num_monstruo,int &num_vitamina,int &num_muro,poder &poder,StdPijo stdp,int nivel,player &jugador);
bool mover_jugador(player &jugador,muro muro[],vitamina[],char tecla,int num_muro,StdPijo stdp);
void mover_monstruo(muro muro[],monstruo monstruo[],int pos_monstruo,int num_muro,player jugador,int tecla);
void comparar_posiciones(player &jugador,monstruo monstruo[],vitamina vitamina[],int &num_monstruo, int &num_vitamina,poder &poder);
void borrar_monstruo(monstruo monstruo[], int pos,int &num_monstruo);
void borrar_vitamina(vitamina vitamina[], int i,int &num_vitamina);
void dibujar(StdPijo stdp, monstruo monstruo[],vitamina vitamina[],player jugador,muro muro[],int num_monstruo,int num_vitamina,int num_muro,poder poder);
void borrar_array(monstruo monstruo[],muro muro[],vitamina vitamina[],int &num_monstruo,int &num_vitamina,int &num_muro);
void credits(StdPijo stdp);
int menu(StdPijo stdp);
int insert_code(StdPijo stdp);
void Kright(StdPijo stdp);
void Kleft(StdPijo stdp);
void Kup(StdPijo stdp);
void Kdown(StdPijo stdp);
void creditos(StdPijo stdp);
void castillo(StdPijo stdp);
void titulo(StdPijo stdp);
void uno(StdPijo stdp);
void dos(StdPijo stdp);
void tres(StdPijo stdp);
void cuatro(StdPijo stdp);
void stage(StdPijo stdp,int nivel);
void game_over(StdPijo stdp,int nivel);
void loading(StdPijo stdp);
void cargando(StdPijo stdp);
int main(){

	player jugador;
	muro muro[200];
	vitamina vitamina[1000];
	monstruo monstruo[5];
	int tecla = 0;
	StdPijo& stdp = StdPijo::p();
	int num_monstruo = 0;
	int num_vitamina = 0;
	int num_muro = 0;
	bool movimiento = false;
	int nivel = 1;
	poder poder;
	int opcion = 0;
	bool codigo = false;
    // Inicializamos la pantalla
		    stdp.init();

		    // Borramos la pantalla
		    stdp.clearScreen();

		    credits(stdp);

		    do{
				if(!codigo) opcion = menu(stdp);
				if(opcion == 1){
					if(nivel == 0) nivel = 1;
					codigo = false;
					//MENU OPCION 1
					loading(stdp);
					stage(stdp,nivel);
				do{
					preparar_partida(muro,vitamina,monstruo,num_monstruo,num_vitamina,num_muro,poder,stdp,nivel,jugador);

					do{
						stdp.clearScreen();
						dibujar(stdp,monstruo,vitamina,jugador,muro,num_monstruo,num_vitamina,num_muro,poder);


						//esperar a que se inserte tecla de movimiento
					   while((tecla != KUP) && (tecla != KDOWN ) && (tecla != KLEFT) && (tecla != KRIGHT))
						tecla = stdp.getKey();
					   //movemos jugador
					   movimiento = mover_jugador(jugador,muro,vitamina,tecla,num_muro,stdp);
					   //si se ha introducido una tecla válida y se ha movido el muñeco
					   if(movimiento){
						   //movemos todos los monstruos
						   for(int pos_monstruo = 0; pos_monstruo < num_monstruo; pos_monstruo++) mover_monstruo(muro,monstruo,pos_monstruo,num_muro,jugador,tecla);
						   //comprobamos que ocurre con las nuevas posiciones
						   comparar_posiciones(jugador,monstruo,vitamina,num_monstruo,num_vitamina,poder);
					   }
					   tecla = 0;

					}while((jugador.getVida() != 0 ) && (num_vitamina != 0));
					borrar_array(monstruo,muro,vitamina,num_monstruo,num_vitamina,num_muro);
					jugador.putPoder(false);
					if(jugador.getVida() == 0) game_over(stdp,nivel);
					else nivel++;
				}while((jugador.getVida() != 0 ) && (nivel <= 5));

				}else if(opcion == 2) {
									nivel = insert_code(stdp);
									opcion = 1;
									codigo = true;
								}
								else if(opcion == 3) creditos(stdp);

							}while(opcion != 4);

			stdp.refreshScr();
				   // Restauramos el estado original del terminal
				  	       stdp.end();

				  	        // Salimos sin errores
				  	        return 0;

}


void borrar_array(monstruo monstruo[],muro muro[],vitamina vitamina[],int &num_monstruo,int &num_vitamina,int &num_muro){
	for(int i = 0; i < num_monstruo; i++){
		monstruo[i].putX(6);
		monstruo[i].putY(12);
	}
	for(int i = 0; i < num_vitamina; i++){
		vitamina[i].putX(6);
		vitamina[i].putY(12);
	}
	for(int i = 0; i < num_muro; i++){
		muro[i].putX(6);
		muro[i].putY(12);
	}
	num_muro = 0;
	num_monstruo = 0;
	num_vitamina = 0;
}
//PREPARAR PARTIDA
//*********************************************************************************************************************************************
void preparar_partida(muro muro[],vitamina vitamina[], monstruo monstruo[],int &num_monstruo,int &num_vitamina,int &num_muro,poder &poder,StdPijo stdp,int nivel,player &jugador){

   int contador_muro = 0;
   int contador_vitamina = 0;
   int contador_monstruo=0;


   for(int i = 10; i <=70; i++){
	   muro[num_muro].putX(i);
	   muro[num_muro].putY(4);
	   num_muro++;
   }
   for(int i = 10; i <=70; i++){
	   muro[num_muro].putX(i);
	   muro[num_muro].putY(20);
	   num_muro++;
   }
   for(int i = 4; i <=20; i++){
	   muro[num_muro].putX(10);
	   muro[num_muro].putY(i);
	   num_muro++;
   }
   for(int i = 4; i <=20; i++){
	   muro[num_muro].putX(70);
	   muro[num_muro].putY(i);
	   num_muro++;
   }

	int iniRand = 4;
	int finRand = 16;
	int valor = 0;
	int iniRand2 = 10;
	int finRand2 = 60;
	int valor2 = 0;


	for(int i = 0; i < 40; i++){
		valor = iniRand + rand()%finRand;
		valor2 = iniRand2 + rand()%finRand2;
		muro[num_muro].putX(valor2);
		muro[num_muro].putY(valor);
		num_muro++;
	}

	bool puesto = false;
	bool encontrado = false;
	int pos = 0;

	//PONER VITAMINAS
	while(num_vitamina < 25){
		while(!puesto){
			//calcular coordenadas
			valor = iniRand + rand()%finRand;
			valor2 = iniRand2 + rand()%finRand2;
			vitamina[num_vitamina].putX(valor2);
			vitamina[num_vitamina].putY(valor);
			while((!encontrado) && (pos < num_muro)){
				if((vitamina[num_vitamina].getX() == muro[pos].getX()) && (vitamina[num_vitamina].getY() == muro[pos].getY()))	encontrado = true;
				else pos++;
			}
			if(encontrado)	{
							if(muro[pos].getX() == 19) {
								vitamina[num_vitamina].putX(valor2-1);
								vitamina[num_vitamina].putY(valor);
							}
							else if(muro[pos].getX() == 5) {
								vitamina[num_vitamina].putX(valor2+1);
								vitamina[num_vitamina].putY(valor);
							}
							else if(muro[pos].getY() == 11){
								vitamina[num_vitamina].putY(valor-1);
								vitamina[num_vitamina].putX(valor2);
							}
							else if(muro[pos].getY() == 69) {
								vitamina[num_vitamina].putY(valor+1);
								vitamina[num_vitamina].putX(valor2+1);
							}
							else {
								vitamina[num_vitamina].putX(valor2+1);
								vitamina[num_vitamina].putY(valor);
							}

						}
			puesto = true;
			num_vitamina++;

		}
		puesto = false;
		encontrado = false;
		pos = 0;
	}

	//PONER MONSTRUOS
	while(num_monstruo < 2+nivel){
		while(!puesto){
			//calcular coordenadas
			valor = iniRand + rand()%finRand;
			valor2 = iniRand2 + rand()%finRand2;
			monstruo[num_monstruo].putX(valor2);
			monstruo[num_monstruo].putY(valor);
			while((!encontrado) && (pos < num_muro)){
				if((monstruo[num_monstruo].getX() == muro[pos].getX()) && (monstruo[num_monstruo].getY() == muro[pos].getY()))	encontrado = true;
				else pos++;
			}
			if(encontrado)	{
				if(muro[pos].getX() == 19) {
					monstruo[num_monstruo].putX(valor2-1);
					monstruo[num_monstruo].putY(valor);
				}
				else if(muro[pos].getX() == 5) {
					monstruo[num_monstruo].putX(valor2+1);
					monstruo[num_monstruo].putY(valor);
				}
				else if(muro[pos].getY() == 11){
					monstruo[num_monstruo].putY(valor-1);
					monstruo[num_monstruo].putX(valor2);
				}
				else if(muro[pos].getY() == 69) {
					monstruo[num_monstruo].putY(valor+1);
					monstruo[num_monstruo].putX(valor2+1);
				}
				else {
					monstruo[num_monstruo].putX(valor2+1);
					monstruo[num_monstruo].putY(valor);
				}

			}
			puesto = true;
			num_monstruo++;

		}
		puesto = false;
		encontrado = false;
		pos = 0;
	}

	//PONER PODER
		//calcular coordenadas
		valor = iniRand + rand()%finRand;
		valor2 = iniRand2 + rand()%finRand2;
		poder.putX(valor2);
		poder.putY(valor);
		while((!encontrado) && (pos < num_muro)){
			if((poder.getX() == muro[pos].getX()) && (poder.getY() == muro[pos].getY()))	encontrado = true;
			else pos++;
		}
		if(encontrado)	{
			poder.putX(valor2+1);
			poder.putY(valor);
		}

	//PONER JUGADOR
		jugador.putX(35);
		jugador.putY(19);

}

//DIBUJAR
//*********************************************************************************************************************************************
void dibujar(StdPijo stdp, monstruo monstruo[],vitamina vitamina[],player jugador,muro muro[],int num_monstruo,int num_vitamina,int num_muro,poder poder){
	//dibujar muro
	for (int i = 0; i < num_muro; i++){
		stdp.setCursor(muro[i].getX(),muro[i].getY());
		stdp.setColor(ABOLD, CWHITE, CBLUE);
		stdp.writeStr(" ");
	}
	//dibujar vitamina
	for (int i = 0; i < num_vitamina; i++){
		stdp.setCursor(vitamina[i].getX(),vitamina[i].getY());
		stdp.setColor(ABOLD, CYELLOW, CBLACK);
		stdp.writeStr("*");
	}
	//dibujar poder
	if(!jugador.getPoder()){
		stdp.setCursor(poder.getX(),poder.getY());
		stdp.setColor(ABOLD, CCYAN, CBLACK);
		stdp.writeStr("*");
	}

	//dibujar monstruo
	for (int i = 0; i < num_monstruo; i++){
		stdp.setCursor(monstruo[i].getX(),monstruo[i].getY());
		stdp.setColor(ABOLD, CRED, CBLACK);
		stdp.writeStr("@");
	}
	//dibujar jugador
		stdp.setCursor(jugador.getX(),jugador.getY());
		stdp.setColor(ABOLD, CGREEN, CBLACK);
		stdp.writeStr("$");
}

//MOVER JUGADOR
//*********************************************************************************************************************************************
bool mover_jugador(player &jugador,muro muro[],vitamina[],char tecla,int num_muro,StdPijo stdp){

	bool encontrado = false;
	int pos = 0;
	bool puesto = false;


	if(tecla == KUP){
		while((!encontrado) && (pos < num_muro)) {
			if((jugador.getY() - 1 == muro[pos].getY())&& (jugador.getX()  == muro[pos].getX()))  encontrado = true;
			if(!encontrado) pos++;
		}
		if(!encontrado) {
			jugador.putY(jugador.getY()-1);
			puesto = true;
		}

	}else if(tecla == KDOWN){
		while((!encontrado) && (pos < num_muro)) {
			if((jugador.getY() + 1 == muro[pos].getY()) && (jugador.getX()  == muro[pos].getX())) encontrado = true;
			if(!encontrado) pos++;
		}
		if(!encontrado){
			jugador.putY(jugador.getY()+1);
			puesto = true;
		}

	}else if(tecla == KLEFT){
		while((!encontrado) && (pos < num_muro)) {
			if((jugador.getX() - 1 == muro[pos].getX()) && (jugador.getY()  == muro[pos].getY())) encontrado = true;
			if(!encontrado) pos++;
		}
		if(!encontrado) {
			jugador.putX(jugador.getX()-1);
			puesto = true;
		}

	}else if(tecla == KRIGHT){
		while((!encontrado) && (pos < num_muro)) {
			if((jugador.getX() + 1 == muro[pos].getX()) && (jugador.getY()  == muro[pos].getY()))	encontrado = true;
			else pos++;
		}
		if(!encontrado) {
			jugador.putX(jugador.getX()+1);
			puesto = true;
		}
	}

	return puesto;
}

//MOVER_MONSTRUO
//*********************************************************************************************************************************************
void mover_monstruo(muro muro[],monstruo monstruo[],int pos_monstruo,int num_muro,player jugador,int tecla){

	int pos = 0;
	bool encontrado = false;
	bool puesto = false;
	char operadores [4] = {'1','2','3','4'};

	if((tecla == KRIGHT) || (tecla == KLEFT)){
		if(!jugador.getPoder()){

			//si el jugador está por debajo
			if((jugador.getY() > monstruo[pos_monstruo].getY()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getY() + 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()+1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
			//si el jugador está por debajo
			if((jugador.getY() < monstruo[pos_monstruo].getY()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getY() - 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()-1);
					puesto = true;
				}
			}

			encontrado = false;
			pos = 0;
			//si el jugador está adelantado
			if((jugador.getX() > monstruo[pos_monstruo].getX()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getX() + 1 == muro[pos].getX()) && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()+1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
			//si el jugador está atrasado
			if((jugador.getX() < monstruo[pos_monstruo].getX()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getX() - 1 == muro[pos].getX())  && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()-1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
		}else{

			//si el jugador está por debajo
			if((jugador.getY() < monstruo[pos_monstruo].getY()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getY() + 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()+1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
			//si el jugador está por debajo
			if((jugador.getY() > monstruo[pos_monstruo].getY()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getY() - 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()-1);
					puesto = true;
				}
			}

			encontrado = false;
			pos = 0;
			//si el jugador está adelantado
			if((jugador.getX() < monstruo[pos_monstruo].getX()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getX() + 1 == muro[pos].getX()) && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()+1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
			//si el jugador está atrasado
			if((jugador.getX() > monstruo[pos_monstruo].getX()) && (!puesto)){

				while((!encontrado) && (pos < num_muro)) {
					if((monstruo[pos_monstruo].getX() - 1 == muro[pos].getX())  && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
					if(!encontrado) pos++;
				}
				if(!encontrado) {
					monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()-1);
					puesto = true;
				}
			}
			encontrado = false;
			pos = 0;
		}

	}else{
		int posicion = rand()%4;
		if(operadores[posicion]=='1'){
			while((!encontrado) && (pos < num_muro)) {
				if((monstruo[pos_monstruo].getX() - 1 == muro[pos].getX())  && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
				if(!encontrado) pos++;
			}
			if(!encontrado) {
				monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()-1);
				puesto = true;
			}

		encontrado = false;
		pos = 0;
		}else if(operadores[posicion]=='2'){
			while((!encontrado) && (pos < num_muro)) {
				if((monstruo[pos_monstruo].getX() + 1 == muro[pos].getX()) && (monstruo[pos_monstruo].getY() == muro[pos].getY())) encontrado = true;
				if(!encontrado) pos++;
			}
			if(!encontrado) {
				monstruo[pos_monstruo].putX(monstruo[pos_monstruo].getX()+1);
				puesto = true;
			}
		encontrado = false;
		pos = 0;
		}else if(operadores[posicion]=='3'){
			while((!encontrado) && (pos < num_muro)) {
				if((monstruo[pos_monstruo].getY() - 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
				if(!encontrado) pos++;
			}
			if(!encontrado) {
				monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()-1);
				puesto = true;
			}
		encontrado = false;
		pos = 0;
		}else if(operadores[posicion]=='4'){
			while((!encontrado) && (pos < num_muro)) {
				if((monstruo[pos_monstruo].getY() + 1 == muro[pos].getY()) && (monstruo[pos_monstruo].getX() == muro[pos].getX())) encontrado = true;
				if(!encontrado) pos++;
			}
			if(!encontrado) {
				monstruo[pos_monstruo].putY(monstruo[pos_monstruo].getY()+1);
				puesto = true;
			}
		}
	}
}

//COMPARAR POSICIONES
//*********************************************************************************************************************************************
void comparar_posiciones(player &jugador,monstruo monstruo[],vitamina vitamina[],int &num_monstruo, int &num_vitamina,poder &poder){

	bool encontrado = false;
	int pos = 0;
	bool vital = false;
	int i = 0;

	//mientras no encuentre una coincidencia o siga habiendo monstruos que comparar
	while((!encontrado) && (pos < num_monstruo)){

		if((jugador.getX() == monstruo[pos].getX()) && (jugador.getY() == monstruo[pos].getY())) encontrado = true;
		if(!encontrado) pos++;
	}
        if(encontrado) {
		if(!jugador.getPoder()) jugador.putVida(0); // si no tiene poder, se muere
	    else if(jugador.getPoder()) borrar_monstruo(monstruo, pos,num_monstruo); // si tiene poder, mata bicho
	}

    //mientras no encuentre una coincidencia o siga habiendo monstruos que comparar
	while((!vital) && (i < num_vitamina)){
		if((jugador.getX() == vitamina[i].getX()) && (jugador.getY() == vitamina[i].getY())) vital = true;
		if(!vital) i++;
	}
	if(vital){
		jugador.putVitamina(jugador.getVitamina()+1); //suma vitamina
		borrar_vitamina(vitamina,i,num_vitamina); // borramos la vitamina
	}
	if((jugador.getX() == poder.getX()) && (jugador.getY() == poder.getY())) jugador.putPoder(true);


}

//BORRAR MONSTRUO
//*********************************************************************************************************************************************
void borrar_monstruo(monstruo monstruo[], int pos,int &num_monstruo){

	for(int i = pos; i <= num_monstruo-1; i++) monstruo[i] = monstruo[i+1];
	num_monstruo--;

	monstruo[num_monstruo].putX(14);
	monstruo[num_monstruo].putY(7);
	num_monstruo++;

}

//BORRAR_VITAMINA
//*********************************************************************************************************************************************
void borrar_vitamina(vitamina vitamina[], int pos,int &num_vitamina){

	for(int i = pos; i <= num_vitamina-1; i++) vitamina[i] = vitamina[i+1];
	num_vitamina--;
}



// CREDITS
//*************************************************************************************
void credits(StdPijo stdp) {


	stdp.clearScreen();


	//GRENDER GAMES
	stdp.clearScreen();
	sleep(1);
	stdp.writeStr(salto.c_str());
	stdp.setColor(ABOLD, CYELLOW, CBLACK);
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit0.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit6.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit7.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit8.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credit9.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(credity.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(creditt.c_str());
	stdp.writeStr(salto.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(3);

	//PRESENTS
	stdp.clearScreen();
	stdp.setColor(ABOLD, CBLUE, CBLACK);
	stdp.writeStr(salto.c_str());
	stdp.writeStr(salto.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit11.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit12.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit13.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit14.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit15.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacio0.c_str());
	stdp.writeStr(credit16.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(3);


}

// MENU
//*************************************************************************************
int menu(StdPijo stdp) {

	int seleccion = 0;
	int opcion = 1;

		do{
			stdp.clearScreen();
			seleccion = 0;
			titulo(stdp);


			stdp.setColor(ABOLD, CWHITE, CBLACK);


			stdp.writeStr(saltoP.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(espacioC.c_str());
			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(sol1.c_str());
			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacioC.c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(saltoP.c_str());
			stdp.writeStr(espacioC.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(sol2.c_str());
			stdp.writeStr(saltoP.c_str());
			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[9].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[9].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[4].c_str());
			stdp.setColor(ABOLD, CGREEN, CBLACK);
			if(opcion == 1) stdp.setColor(ABOLD, CWHITE, CGREEN);
			stdp.writeStr(opcion1.c_str());

			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[1].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[2].c_str());

			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(sol3.c_str());


			stdp.setColor(ABOLD, CGREEN, CBLACK);

			stdp.writeStr(saltoP.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(espacioI.c_str());
			if(opcion == 2) stdp.setColor(ABOLD, CWHITE, CGREEN);
			stdp.writeStr(opcion2.c_str());
			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(espacioG.c_str());
			stdp.writeStr(sol3.c_str());

			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[2].c_str());
			stdp.writeStr(pajaro.c_str());


			stdp.writeStr(saltoP.c_str());
			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[6].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[6].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[10].c_str());
			stdp.setColor(ABOLD, CGREEN, CBLACK);
			if(opcion == 3) stdp.setColor(ABOLD, CWHITE, CGREEN);
			stdp.writeStr(opcion4.c_str());

			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[0].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[3].c_str());


			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(sol3.c_str());



			stdp.writeStr(saltoP.c_str());
			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[20].c_str());
			stdp.writeStr(pajaro.c_str());
			stdp.writeStr(espacios[6].c_str());
			stdp.setColor(ABOLD, CGREEN, CBLACK);
			if(opcion == 4) stdp.setColor(ABOLD, CWHITE, CGREEN);
			stdp.writeStr(opcion5.c_str());
			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(espacioG.c_str());
			stdp.writeStr(sol2.c_str());

			stdp.setColor(ABOLD, CWHITE, CBLACK);
			stdp.writeStr(espacios[1].c_str());
			stdp.writeStr(pajaro.c_str());

			stdp.writeStr(saltoP.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(espacioI.c_str());
			stdp.writeStr(espaciok.c_str());
			stdp.setColor(ABOLD, CYELLOW, CBLACK);
			stdp.writeStr(sol1.c_str());
			stdp.writeStr(saltoP.c_str());
			stdp.writeStr(saltoP.c_str());
			stdp.setColor(ABOLD, CBLUE, CBLACK);
			for(int i = 0; i < 6; i++) {
				stdp.writeStr(mar.c_str());
				stdp.writeStr(saltoP.c_str());
			}


			while((seleccion != KUP) && (seleccion != KDOWN) && (seleccion != KESPACIO)) seleccion = stdp.getKey();

			if((seleccion == KUP) && (opcion != 1)) opcion--;
			else if((seleccion == KDOWN) && (opcion != 4)) opcion++;

		}while(seleccion != KESPACIO);

		return(opcion);


}
// INSERT CODE
//*************************************************************************************
int insert_code(StdPijo stdp){
	int seleccion = 0;
	int nivel = 1;
	titulo(stdp);
	stdp.setColor(ABOLD, CGREEN, CBLACK);
	stdp.setCursor(29,11);
	stdp.writeStr(codigo.c_str());

	while((seleccion != KUP) && (seleccion != KDOWN) && (seleccion != KLEFT) && (seleccion != KRIGHT) && (seleccion != KESCAPE)) seleccion = stdp.getKey();

	stdp.setColor(ABOLD, CYELLOW, CBLACK);
	if(seleccion == KUP) {
		nivel = 1;
		Kup(stdp);
		fflush(stdin);
		fflush(stdout);
		stdp.refreshScr();
		sleep(2);
	}
	else if (seleccion == KDOWN){
		nivel = 2;
		Kdown(stdp);
		fflush(stdin);
		fflush(stdout);
		stdp.refreshScr();
		sleep(2);
	}
	else if (seleccion == KLEFT) {
		nivel = 3;
		Kleft(stdp);
		fflush(stdin);
		fflush(stdout);
		stdp.refreshScr();
		sleep(2);
	}
	else if (seleccion == KRIGHT) {
		nivel = 4;
		Kright(stdp);
		fflush(stdin);
		fflush(stdout);
		stdp.refreshScr();
		sleep(2);
	}
	stdp.setColor(ABOLD, CGREEN, CBLACK);

	return nivel;

}

//KUP
//************************************************************************************
void Kup(StdPijo stdp){
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(up6.c_str());
	stdp.writeStr(saltoP.c_str());
}

//KDOWN
//************************************************************************************
void Kdown(StdPijo stdp){
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(down6.c_str());
	stdp.writeStr(saltoP.c_str());
}

//KLEFT
//************************************************************************************
void Kleft(StdPijo stdp){
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(left6.c_str());
	stdp.writeStr(saltoP.c_str());
}

//KRIGHT
//************************************************************************************
void Kright(StdPijo stdp){
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(right6.c_str());
	stdp.writeStr(saltoP.c_str());

}



//Creditos
//*************************************************************************************************
void creditos(StdPijo stdp){

	int seleccion = 0;


	for(int x = 20; x > 0; x--){
		castillo(stdp);
		stdp.setColor(ABOLD, CYELLOW, CBLACK);
		stdp.setCursor(0,x);
		stdp.writeStr(espacioG.c_str());
		stdp.writeStr(credit0.c_str());
		stdp.writeStr(saltoP.c_str());
		if(x <= 19){
			stdp.writeStr(espacioG.c_str());
			stdp.writeStr(credit1.c_str());
			stdp.writeStr(saltoP.c_str());
			if(x <= 18){
				stdp.writeStr(espacioG.c_str());
				stdp.writeStr(credit2.c_str());
				stdp.writeStr(saltoP.c_str());
				if(x <= 17){
					stdp.writeStr(espacioG.c_str());
					stdp.writeStr(credit3.c_str());
					stdp.writeStr(saltoP.c_str());
					if(x <= 16){
						stdp.writeStr(espacioG.c_str());
						stdp.writeStr(credit4.c_str());
						stdp.writeStr(saltoP.c_str());
						if(x <= 15){
							stdp.writeStr(espacioG.c_str());
							stdp.writeStr(credit5.c_str());
							stdp.writeStr(saltoP.c_str());
							if(x <= 14){
								stdp.writeStr(espacioG.c_str());
								stdp.writeStr(espacioG.c_str());
								stdp.writeStr(credit6.c_str());
								stdp.writeStr(saltoP.c_str());
								if(x <= 13){
									stdp.writeStr(espacioG.c_str());
									stdp.writeStr(espacioG.c_str());
									stdp.writeStr(credit7.c_str());
									stdp.writeStr(saltoP.c_str());
									if(x <= 12){
										stdp.writeStr(espacioG.c_str());
										stdp.writeStr(espacioG.c_str());
										stdp.writeStr(credit8.c_str());
										stdp.writeStr(saltoP.c_str());
										if(x <= 11){
											stdp.writeStr(espacioG.c_str());
											stdp.writeStr(espacioG.c_str());
											stdp.writeStr(credit9.c_str());
											stdp.writeStr(saltoP.c_str());
											if(x <= 10){
												stdp.writeStr(espacioG.c_str());
												stdp.writeStr(espacioG.c_str());
												stdp.writeStr(credity.c_str());
												stdp.writeStr(saltoP.c_str());
												if(x <= 9){
													stdp.writeStr(espacioG.c_str());
													stdp.writeStr(espacioG.c_str());
													stdp.writeStr(creditt.c_str());
													stdp.writeStr(salto.c_str());
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		fflush(stdin);
		fflush(stdout);
		stdp.refreshScr();
		usleep(199999);
	}
	while(seleccion != KESPACIO){
	    		seleccion = stdp.getKey();
	}

}


//CASTILLO
//*************************************************************************************************
void castillo(StdPijo stdp){

	stdp.setColor(ABOLD, CGREEN, CBLACK);
	stdp.clearScreen();
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo6.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo7.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo8.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo9.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo10.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo11.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo12.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo13.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo14.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo15.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo16.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo17.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo18.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(castillo19.c_str());
	stdp.writeStr(saltoP.c_str());
}


//TITULO
//*************************************************************************************
void titulo(StdPijo stdp){

	stdp.clearScreen();
		stdp.writeStr(saltoP.c_str());
		stdp.setColor(ABOLD, CGREEN, CBLACK);
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present1.c_str());
		stdp.writeStr(saltoP.c_str());
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present2.c_str());
		stdp.writeStr(saltoP.c_str());
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present3.c_str());
		stdp.writeStr(saltoP.c_str());
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present4.c_str());
		stdp.writeStr(saltoP.c_str());
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present5.c_str());
		stdp.writeStr(saltoP.c_str());
		stdp.writeStr(espaciok.c_str());
		stdp.writeStr(present6.c_str());
		stdp.writeStr(saltoP.c_str());



}


//STAGE
//*************************************************************************************
void stage(StdPijo stdp,int nivel){
	stdp.clearScreen();
	stdp.writeStr(saltoG.c_str());
	stdp.setColor(ABOLD, CYELLOW, CBLACK);
	stdp.writeStr(espacios[8].c_str());
	stdp.writeStr(stage1.c_str());
	stdp.writeStr(espacios[13].c_str());
	stdp.writeStr(stage2.c_str());
	stdp.writeStr(espacios[13].c_str());
	stdp.writeStr(stage3.c_str());
	stdp.writeStr(espacios[13].c_str());
	stdp.writeStr(stage4.c_str());
	stdp.writeStr(espacios[13].c_str());
	stdp.writeStr(stage5.c_str());
	stdp.writeStr(espacios[13].c_str());
	stdp.writeStr(stage6.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(1);
	if(nivel == 1) uno(stdp);
	else if(nivel == 2) dos(stdp);
	else if(nivel == 3) tres(stdp);
	else if(nivel == 4) cuatro(stdp);


}


//UNO
//******************************
void uno(StdPijo stdp){


	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(uno1.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(uno2.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(uno3.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(uno4.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(uno5.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

}


//DOS
//******************************
void dos(StdPijo stdp){


	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos1.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos2.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos3.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos4.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos5.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(dos6.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

}


//TRES
//******************************
void tres(StdPijo stdp){


	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres1.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres2.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres3.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres4.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres5.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(tres6.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

}

//CUATRO
//******************************
void cuatro(StdPijo stdp){


	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espaciolleno.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro1.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro2.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro3.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro4.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro5.c_str());
	stdp.writeStr(espacios[25].c_str());
	stdp.writeStr(cuatro6.c_str());
	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

}

//GAME OVER
//*******************************************************************************
void game_over(StdPijo stdp,int nivel){
	stdp.clearScreen();

	stdp.setColor(ABOLD, CBLUE, CBLACK);
	stdp.writeStr(saltoG.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(gameO6.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(saltoP.c_str());

	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

	stdp.writeStr(espacioI.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.setColor(ABOLD, CGREEN, CBLACK);
	stdp.writeStr(gameO7.c_str());

	stdp.setColor(ABOLD, CYELLOW, CBLACK);

	fflush(stdin);
	fflush(stdout);
	stdp.refreshScr();
	sleep(2);

	if(nivel == 1) Kup(stdp);
	else if(nivel == 2) Kdown(stdp);
	else if(nivel == 3) Kleft(stdp);
	else if(nivel == 4) Kright(stdp);


	int continuar = 0;
	while ((continuar != KESPACIO) && (continuar != KESCAPE)) continuar = stdp.getKey();
}


// LOADING
//*************************************************************************************
void loading(StdPijo stdp){

	int n = 0;
		bool aspas = false;


			while(n != 29){
				fflush(stdin);
				fflush(stdout);
				stdp.refreshScr();
				stdp.clearScreen();
				cargando(stdp);
				stdp.setColor(ABOLD, CYELLOW, CBLACK);
				stdp.writeStr(salto.c_str());
				if(aspas == false){
					aspas = true;
					stdp.writeStr(espacios[n].c_str());
					stdp.writeStr(credit38.c_str());
					stdp.writeStr(saltoP.c_str());
				}else{
					aspas = false;
					stdp.writeStr(espacios[n].c_str());
					stdp.writeStr(credit37.c_str());
					stdp.writeStr(saltoP.c_str());
				}
				stdp.writeStr(espacios[n].c_str());
				stdp.writeStr(credit39.c_str());;
				stdp.writeStr(saltoP.c_str());
				stdp.writeStr(espacios[n].c_str());
				stdp.writeStr(credit40.c_str());
				stdp.writeStr(saltoP.c_str());
				stdp.writeStr(iguales[n].c_str());
				stdp.writeStr(credit41.c_str());
				stdp.writeStr(saltoP.c_str());
				stdp.writeStr(espacios[n].c_str());
				stdp.writeStr(credit42.c_str());
				stdp.writeStr(saltoP.c_str());
				stdp.writeStr(espacios[n].c_str());
				stdp.writeStr(credit43.c_str());
				stdp.writeStr(saltoP.c_str());
				fflush(stdin);
				fflush(stdout);
				stdp.refreshScr();
				usleep(199999);
				n++;
			}

}

// CARGANDO
//*************************************************************************************
void cargando(StdPijo stdp){

	stdp.setColor(ABOLD, CBLUE, CBLACK);
	stdp.writeStr(saltoG.c_str());
	stdp.writeStr(salto.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando1.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando2.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando3.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando4.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando5.c_str());
	stdp.writeStr(saltoP.c_str());
	stdp.writeStr(espacioG.c_str());
	stdp.writeStr(cargando6.c_str());
	stdp.writeStr(saltoP.c_str());

}
